/****************************************************************************
** Form implementation generated from reading ui file 'MidiConfigDialogBase.ui'
**
** Created: Tue May 6 13:15:37 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "MidiConfigDialogBase.h"

#include <qvariant.h>
#include <qgroupbox.h>
#include <qlistbox.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "MidiConfigDialogBase.ui.h"

/*
 *  Constructs a MidiConfigDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
MidiConfigDialogBase::MidiConfigDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "MidiConfigDialogBase" );

    portgroupbox = new QGroupBox( this, "portgroupbox" );
    portgroupbox->setGeometry( QRect( 10, 20, 461, 181 ) );

    readablePortsListBox = new QListBox( portgroupbox, "readablePortsListBox" );
    readablePortsListBox->setGeometry( QRect( 10, 30, 441, 141 ) );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setGeometry( QRect( 480, 21, 100, 180 ) );

    channelListBox = new QListBox( groupBox2, "channelListBox" );
    channelListBox->setGeometry( QRect( 10, 30, 80, 140 ) );
    channelListBox->setMaximumSize( QSize( 80, 32767 ) );
    channelListBox->setVariableWidth( FALSE );

    cancelButton = new QPushButton( this, "cancelButton" );
    cancelButton->setGeometry( QRect( 460, 210, 121, 31 ) );

    defaultsButton = new QPushButton( this, "defaultsButton" );
    defaultsButton->setGeometry( QRect( 140, 210, 121, 31 ) );

    acceptButton = new QPushButton( this, "acceptButton" );
    acceptButton->setGeometry( QRect( 10, 210, 121, 31 ) );
    languageChange();
    resize( QSize(591, 249).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( acceptButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( defaultsButton, SIGNAL( clicked() ), this, SLOT( setDefaults() ) );
    connect( readablePortsListBox, SIGNAL( currentChanged(QListBoxItem*) ), this, SLOT( selectionChanged(QListBoxItem*) ) );
    connect( channelListBox, SIGNAL( currentChanged(QListBoxItem*) ), this, SLOT( midiPortChanged(QListBoxItem*) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MidiConfigDialogBase::~MidiConfigDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MidiConfigDialogBase::languageChange()
{
    setCaption( tr( "MIDI Configuration" ) );
    portgroupbox->setTitle( tr( "Readable Ports" ) );
    groupBox2->setTitle( tr( "Channel" ) );
    channelListBox->clear();
    channelListBox->insertItem( tr( "All" ) );
    channelListBox->insertItem( tr( "1" ) );
    channelListBox->insertItem( tr( "2" ) );
    channelListBox->insertItem( tr( "3" ) );
    channelListBox->insertItem( tr( "4" ) );
    channelListBox->insertItem( tr( "5" ) );
    channelListBox->insertItem( tr( "6" ) );
    channelListBox->insertItem( tr( "7" ) );
    channelListBox->insertItem( tr( "8" ) );
    channelListBox->insertItem( tr( "9" ) );
    channelListBox->insertItem( tr( "10" ) );
    channelListBox->insertItem( tr( "11" ) );
    channelListBox->insertItem( tr( "12" ) );
    channelListBox->insertItem( tr( "13" ) );
    channelListBox->insertItem( tr( "14" ) );
    channelListBox->insertItem( tr( "15" ) );
    channelListBox->insertItem( tr( "16" ) );
    cancelButton->setText( tr( "Cancel" ) );
    defaultsButton->setText( tr( "Defaults" ) );
    acceptButton->setText( tr( "Accept" ) );
}

